import numpy as np
import matplotlib.pyplot as plt
import matplotlib.patches as patches
import time
plt.ion()

def plot_circle(cen, rad, color, ax):
	c = patches.Circle(cen, radius=rad, color = color, alpha=0.25)
	ax.add_patch(c)

def draw_once(data, plt, fig):
	fig.cla()
	coords = data[:,:2]
	rs = data[:,2:].flatten()

	#t0 = time.time()
	# this part we can parallelize
	for i in range(len(data)):
		plot_circle(coords[i], rs[i], 'r',fig)
		# if i%2 == 0:
		# 	plot_circle(coords[i], rs[i], 'r',fig)
		# else:
		# 	plot_circle(coords[i], rs[i], 'b',fig)
	#p_time = time.time() - t0
	#print 'plot time:', p_time
	#print 'ratio', c_time/p_time
	plt.draw()

if __name__ == '__main__':
	# get random centers and radius
	# np.random.seed(42)
	# num = 0
	# fig = plt.figure().add_subplot(111, aspect='equal')

	# while num < 100:
	# 	num += 1
	# 	coords = 100 * np.random.rand(100, 2)
	# 	rs = 10 * np.random.rand(100,1)

	# 	dt = np.zeros([100,3])
	# 	dt[:,:2] = coords
	# 	dt[:,2:3] = rs
	# 	plot_everything(dt, plt, fig)
	print patches.Circle((0,0), radius=5, color = 'r', alpha=0.25)
